Page MenuHomePhabricator

[AArch64] Removing redundant PAuth flag
ClosedPublic

Authored by tyb0807 on Jan 20 2022, 6:26 AM.

Details

Summary

This removes HasPAUTH from AArch64SubTarget, as it seems to be a
redundant, unused copy of HasPAuth.

Diff Detail

Event Timeline

tyb0807 created this revision.Jan 20 2022, 6:26 AM
tyb0807 requested review of this revision.Jan 20 2022, 6:26 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 20 2022, 6:26 AM
fhahn added a reviewer: ab.Jan 20 2022, 6:30 AM
MarkMurrayARM accepted this revision.Jan 20 2022, 6:35 AM

I see no problem with this.

This revision is now accepted and ready to land.Jan 20 2022, 6:35 AM
ab accepted this revision.Jan 24 2022, 5:18 PM

Same, makes sense, thanks!

This revision was landed with ongoing or failed builds.Jan 31 2022, 1:01 PM
This revision was automatically updated to reflect the committed changes.